group.of.nepali.translators team mailing list archive
-
group.of.nepali.translators team
-
Mailing list archive
-
Message #44579
[Bug 1991030] Re: [SRU] Rename ua status call on apt_check script
This bug was fixed in the package update-notifier - 3.192.54.3
---------------
update-notifier (3.192.54.3) jammy; urgency=medium
* po/*.po:
- bring translations from launchpad (LP: #1999567)
- update translation files with intltool-update -r
update-notifier (3.192.54.2) jammy; urgency=medium
* data/apt_check.py
- Modify ua status call to pro status (LP: #1991030)
- Fix pyflakes autopkgtest errors
update-notifier (3.192.54.1) jammy; urgency=medium
* Update the ESM service name and description for the apt_check.py script
(LP: #1980368).
-- Lucas Moura <lucas.moura@xxxxxxxxxxxxx> Tue, 13 Dec 2022 16:43:59
-0300
** Changed in: update-notifier (Ubuntu Jammy)
Status: Fix Committed => Fix Released
--
You received this bug notification because you are a member of नेपाली
भाषा समायोजकहरुको समूह, which is subscribed to Xenial.
Matching subscriptions: Ubuntu 16.04 Bugs
https://bugs.launchpad.net/bugs/1991030
Title:
[SRU] Rename ua status call on apt_check script
Status in update-notifier package in Ubuntu:
Fix Released
Status in update-notifier source package in Xenial:
Fix Released
Status in update-notifier source package in Bionic:
Fix Released
Status in update-notifier source package in Focal:
Fix Released
Status in update-notifier source package in Jammy:
Fix Released
Status in update-notifier source package in Kinetic:
Fix Released
Bug description:
[Impact]
There is an update on how we will output ua commands on the messages delivered by update-notifier.
This will just instruct the user to use that new command instead
[Test Case]
To test this change, use the following script:
---------------------------------------------
#!/bin/bash
set -e
series=$1
token=$2
name=$series-dev
function cleanup {
lxc delete $name --force
}
function on_err {
echo -e "Test Failed"
cleanup
exit 1
}
trap on_err ERR
lxc launch ubuntu-daily:$series $name
sleep 10
# Update update-notifier package
lxc exec $name -- sh -c "echo \"deb http://archive.ubuntu.com/ubuntu $series-proposed main\" | tee /etc/apt/sources.list.d/proposed.list"
lxc exec $name -- sudo apt-get update > /dev/null
lxc exec $name -- sudo apt-get install update-notifier-common -y > /dev/null
lxc exec $name -- apt-cache policy update-notifier-common
# Running update-motd for machine without an ua subscription
echo -e "\n* Updated update-notifier message"
echo "###########################################"
lxc exec $name -- /usr/lib/update-notifier/apt-check --human-readable
echo -e "###########################################\n"
# Attaching machine to a UA subscription
echo "Attaching to a UA subscription"
lxc exec $name -- ua attach $token > /dev/null
lxc exec $name -- ua status
# Running update-motd for attached machine
echo -e "\n* Updated update-notifier message with system attached to UA"
echo -e "###########################################"
lxc exec $name -- /usr/lib/update-notifier/apt-check --human-readable
echo -e "###########################################\n"
# Installing all esm-infra packages
lxc exec $name -- sudo apt-get upgrade -y > /dev/null
# Disabling esm-infra
lxc exec $name -- sudo pro disable esm-infra > /dev/null
echo "* Updated update-notifier message with esm-infra disabled"
echo "###########################################"
lxc exec $name -- /usr/lib/update-notifier/apt-check --human-readable
echo -e "###########################################\n"
cleanup
-----------------------------------------------------
Notice that you need a UA token to run this script.
Additionally, most messages will appear on the xenial machine due to it being ESM already
[Regression Potential]
We are just providing message changes, so the regression potential is really low. User might notice the changes, but they are not that different from the original ones.
Like in bug 1980368, translatable strings are affected, but we accept
them for the same reason as we did in that bug.
To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/update-notifier/+bug/1991030/+subscriptions